# gdcm::ParseException Class Reference

Standard exception handling object. More...

`#include <gdcmParseException.h>`

Inheritance diagram for gdcm::ParseException:
[legend]
Collaboration diagram for gdcm::ParseException:
[legend]

List of all members.

## Public Member Functions
| ParseException ()
virtual | ~ParseException () throw ()
const DataElement & | GetLastElement () const
ParseException & | operator= (const ParseException &orig)
void | SetLastElement (DataElement &de)

## Detailed Description

Standard exception handling object.

## Constructor & Destructor Documentation

gdcm::ParseException::ParseException | ( |  | ) | `[inline]`

virtual gdcm::ParseException::~ParseException | ( |  | ) | throw ()`[inline, virtual]`

## Member Function Documentation

const DataElement& gdcm::ParseException::GetLastElement | ( |  | ) | const`[inline]`

ParseException& gdcm::ParseException::operator= | ( | const ParseException & | orig | ) | `[inline]`

Assignment operator.

void gdcm::ParseException::SetLastElement | ( | DataElement & | de | ) | `[inline]`

Equivalence operator.

Referenced by gdcm::Fragment::Read().

The documentation for this class was generated from the following file:

- gdcmParseException.h